WordPress.org

Ready to get started?Download WordPress

Forums

WordPress database error: [MySQL server has gone away] (4 posts)

  1. BJ05
    Member
    Posted 4 years ago #

    Today, for the first time, when trying to upgrade plugins, I am receiving the following message(s).

    Problem is, the mysql db is intact and functioning. I was able to optimize and repair the db successfully using the wp-db plugin I have.

    'WordPress database error: [MySQL server has gone away]
    UPDATE wp_options SET option_value = 'a:29:{i:0;s:43:\"advertising-manager/advertising-manager.php\";i:1;s:19:\"akismet/akismet.php\";i:2;s:43:\"all-in-one-seo-pack/all_in_one_seo_pack.php\";i:3;s:33:\"automatic-newsletter/autonews.php\";i:4;s:26:\"azindex/az-index-admin.php\";i:5;s:35:\"comment-license/comment-license.php\";i:6;s:40:\"download-monitor/wp-download_monitor.php\";i:7;s:34:\"feedburner-plugin/fdfeedburner.php\";i:8;s:21:\"geopress/geopress.php\";i:9;s:43:\"google-ajax-translation/ajaxtranslation.php\";i:10;s:36:\"google-sitemap-generator/sitemap.php\";i:11;s:29:\"inlinks-ad-plugin/inlinks.php\";i:12;s:37:\"maintenance-mode/maintenance-mode.php\";i:13;s:37:\"paypal-donations/paypal-donations.php\";i:14;s:35:\"search-and-share/SearchAndShare.php\";i:15;s:31:\"selective-rss/selective_rss.php\";i:16;s:32:\"sexybookmarks/sexy-bookmarks.php\";i:17;s:39:\"si-captcha-for-wordpress/si-captcha.php\";i:18;s:35:\"si-contact-form/si-contact-form.php\";i:19;s:30:\"smart-youtube/smartyoutube.php\";i:20;s:15:\"stats/stats.php\";i:21;s:47:\"subscribe-here-widget/subscribe-here-widget.php\";i:22;s:29:\"visitor-maps/visitor-maps.php\";i:23;s:17:\"wp-ban/wp-ban.php\";i:24;s:29:\"wp-dbmanager/wp-dbmanager.php\";i:25;s:30:\"wp-denyhost/ps_wp_denyhost.php\";i:26;s:23:\"wp-events/wp-events.php\";i:27;s:21:\"wp-polls/wp-polls.php\";i:28;s:42:\"yet-another-related-posts-plugin/yarpp.php\";}' WHERE option_name = 'active_plugins''

    Also, using the auto upgrade function, it returns
    'WordPress database error: [MySQL server has gone away]
    SELECT autoload FROM wp_options WHERE option_name = '_transient_update_plugins''

    However, in the end, everything seems to just "work"

    Downloading update from http://downloads.wordpress.org/plugin/wp-email.2.51.zip.

    Unpacking the update.

    Installing the latest version.

    Deactivating the plugin.

    INSERT ERROR CODE HERE

    Removing the old version of the plugin.

    Plugin upgraded successfully.

    Attempting reactivation of the plugin

    Plugin reactivated successfully.

    Anyone else encountered this, and is there a solution?

  2. esmi
    Forum Moderator
    Posted 4 years ago #

    Contact your hosting provider.

  3. Matthew
    Member
    Posted 4 years ago #

  4. brettbum
    Member
    Posted 3 years ago #

    I think that solution helped me while working on a client site (hadn't run into this issue on other upgrades before). But after fixing it with that fix, started getting php.ini errors like crazy, wondering if there might be a deeper root cause

    [05-Aug-2010 14:55:12] PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20060613//htscanner.so' - /usr/local/lib/php/extensions/no-debug-non-zts-20060613//h

    ran into this on inmotion hosting and hostgator for what its worth

Topic Closed

This topic has been closed to new replies.

About this Topic